post
/{tenantId}/v1/notifications/alertsCreate notification alert
Requires Authentication
Notifications
Creates a new notification alert for the tenant
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
Request Body
required
alertTypestring
required
enum: "balance-low" | "balance-zero" | "billing-failure"- Type of billing alertnamestring
required
- Display name for the alertthresholdinteger (int64)
required
- Credit threshold that triggers the alertcooldownMinutesinteger (int32)
required
- Minimum minutes between alert notificationsisEnabledboolean
- Whether the alert should be activeResponses
Alert created
Response Bodyapplication/json
idstring (uuid)
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/notifications/alerts' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"alertType": "balance-low",
"name": "string",
"threshold": 0,
"cooldownMinutes": 0,
"isEnabled": true
}'